diff --git "a/R:\\temp\\RadC14.tmp\\RadioGuideBase-3ff614f-left.cs" "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\RadioGuideBase.cs"
index 52a4110..1094b89 100644
--- "a/R:\\temp\\RadC14.tmp\\RadioGuideBase-3ff614f-left.cs"
+++ "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\RadioGuideBase.cs"
@@ -1112,6 +1112,7 @@ namespace TvPlugin
 
       if (_cursorY == 0 || _currentProgram == null)
       {
+        GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram", 0);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", String.Empty);
@@ -1140,6 +1141,7 @@ namespace TvPlugin
                                        _currentProgram.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        _currentProgram.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
+		GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram",_currentProgram.idProgram);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", _currentProgram.Title);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", TVUtil.GetDisplayTitle(_currentProgram));
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", strTime);
@@ -3356,8 +3358,14 @@ namespace TvPlugin
                   case 1213:
                     Log.Debug("RadioGuide: switch currently running show to fullscreen");
                     GUIWaitCursor.Show();
-                    Radio.Play();
-                    GUIWaitCursor.Hide();
+                    try
+                    {
+                      Radio.Play();
+                    }
+                    finally
+                    {
+                      GUIWaitCursor.Hide();
+                    }
                     if (g_Player.Playing)
                     {
                       g_Player.ShowFullScreenWindow();
@@ -3376,8 +3384,14 @@ namespace TvPlugin
                 TVHome.UserChannelChanged = true;
                 // fixing mantis 1874: TV doesn't start when from other playing media to TVGuide & select program
                 GUIWaitCursor.Show();
-                Radio.Play();
-                GUIWaitCursor.Hide();
+                try
+                {
+                  Radio.Play();
+                }
+                finally
+                {
+                  GUIWaitCursor.Hide();
+                }
                 if (g_Player.Playing)
                 {
                   if (isPlayingTV) GUIWindowManager.CloseCurrentWindow();
@@ -4228,4 +4242,4 @@ namespace TvPlugin
     #endregion
     
   }
-}
\ No newline at end of file
+}
